#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	HTTP
%define		pnam	GHTTP
Summary:	HTTP::GHTTP - Perl interface to the GNOME ghttp library
Summary(pl.UTF-8):	HTTP::GHTTP - moduł Perla z interfejsem do biblioteki GNOME ghttp
Name:		perl-HTTP-GHTTP
Version:	1.07
Release:	21
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTTP/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af6090669fde7709c765c2caf03aa42b
URL:		http://search.cpan.org/dist/HTTP-GHTTP/
BuildRequires:	libghttp-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP::GHTTP module is a simple Perl interface to the GNOME ghttp
library. It allows you to make very simple HTTP requests, without the
weight of something like LWP. This makes it very useful in situations
where memory and speed are at a premium, such as mod_perl.

%description -l pl.UTF-8
Moduł Perla HTTP::GHTTP stanowi prosty interfejs do biblioteki GNOME
ghttp. Umożliwia on tworzenie bardzo prostych zapytań HTTP bez narzutu
czegoś takiego, jak LWP. Czyni to go bardzo przydatnym, gdy pamięć i
prędkość są bardzo istotne, np. w mod_perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/g-request
%dir %{perl_vendorarch}/HTTP
%{perl_vendorarch}/HTTP/GHTTP.pm
%dir %{perl_vendorarch}/auto/HTTP
%dir %{perl_vendorarch}/auto/HTTP/GHTTP
%attr(755,root,root) %{perl_vendorarch}/auto/HTTP/GHTTP/GHTTP.so
%{_mandir}/man3/HTTP::GHTTP*.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTTP-GHTTP.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> bb2e47c
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> cadd578
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 63fa54f
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> a663dfc
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 57521ff
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> e6b97ac
- rebuild with perl 5.30.0
- release 17 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 1f12f64
- rebuild with perl 5.28.0
- release 16 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ff64669
- perl req/prov fix
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 00983a0
- rebuild with perl 5.26
- release 14 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a880603
- rebuild with perl 5.24.0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bd78cd3
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ef87e5e
- x32 rebuild
- release 11 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 5228c65
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9fc6dc1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 151b9a5
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 237a9db
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 212e469
- release 7

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 611bab7
- release 6

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 51a1049
- .so perms

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3e6ae42
- generic URL

